/* @charset "UTF-8"; */

/* ******************************************************************************************
* summary: 
* version:  2.0, 2025-11
* author:   werther (bol)
********************************************************************************************/
/* Bootstrap Font Icon CSS */
@import "https://cdn.formular-server.de/fonts/bs/bootstrap-icons.css";
/* zwei alternative Fonts zur Demo */
@font-face {
    font-family: 'RobotoMono';
    src: url('https://cdn.formular-server.de/fonts/RobotoMono-Regular.ttf'); 
}
@font-face {
    font-family: 'BundesSans';
    src:   url('https://cdn.formular-server.de/fonts/BundesSansOffice-Bold.ttf');            
}
/* globale variablen für Stile */
:root {
    --bol-color-accent: rgb(0, 64, 128);                    /*  OZG Farbe rgb(0, 64, 128) */ 
    --bol-color-accent-anti: white;                         /* Kontrastfarbe zu OZG, z.B. Schrift auf dem OZG Hintergrund rgb(242, 242, 242)*/
    --bol-color-shadow: var(--bol-color-accent);              /* Schattenfarbe für Umrandungen */

    --bol-color-line: rgb(192,192,192);                     /* Farbe einer Linie */

    --bol-color-infotext-bg: silver;                        /* Hintergrund für Infotexte */
    --bol-color-infotext-fg: navy;                          /* Vordergrund Infotexte */

    /* color setting for bol-bar */
    --bol-bar-bg: var(--bol-color-accent);                    /* Hintergrund des bol-Balkens */
    --bol-bar-fg: var(--bol-color-accent-anti);               /* Vordergrund des bol-Balkens */

    --bol-color-button-bg: rgb(10, 101, 221);       /* #0A65DD */ /* Hintergrund Button */
    --bol-color-button-secondary: rgb(18, 180, 62);       /* Hintergrund Button */
    --bol-color-button-fg: var(--bol-color-accent-anti);                   /* Vordergrund Button */

    --bol-color-field-bg: rgb(223, 223, 223);                    /* Hintergrund Eingabefeld */
    --bol-color-field-fg: rgb(0, 0, 0);             /* Vordergrund Eingabefeld */
    --bol-color-fieldborder:  rgb(0, 64, 128);              /* Randfarbe Eingabefeld */
    --bol-color-fieldfocus: var(--bol-color-accent);  /* Farbe des aktiven Feldes */
    --bol-color-fieldlabel-fg: rgb(96, 96, 96);      /* Farbe des Labels */
    --bol-color-fieldhover: navy;                   /* MouseOver Farbe Ferld */

    --bol-color-fielderror-bg: #DF0044;             /* Hintergrundfarbe Fehleranzeige */
    --bol-color-fielderror-fg: white;               /* Hintergrundfarbe Fehleranzeige */
    
    --bol-color-sidebar-bg: rgb(242,242,242);       /* Hintergrund seitliche Anzeige "Haben Sie Fragen?"*/   
    --bol-color-sidebar-fg: black;                  /* Textfarbe seitliche Anzeige */ 


    --bol-color-table-bg: rgb(247, 246, 244);
    --bol-color-stepbtn-bg: rgb(0, 64, 128);
    --bol-color-stepbtn-fg: white;


    --bol-color-dialogheader-bg: rgb(84, 83, 83);                 /* Hintergrundfarbe Dialogtitel */
    --bol-color-dialogheader-fg: var(--bol-color-accent-anti);      /* Vordergrundfarbe Dialogtitel */

    /* settings for step button and bar */
    --bol-fontsize-stepbtn: .8em;               
    /* color settings for dynamic SVG for stepbuttons. must be an RGB value */
    --bol-color-stepbtn-lna: var(--bol-color-accent);                       /* color of line for active button */
    --bol-color-stepbtn-lni: var(--bol-color-accent);                 /* color of line for in-active button */
    --bol-color-stepbtn-bga: var(--bol-color-accent);                 /* background color for active button */
    --bol-color-stepbtn-bgi: rgb(242, 242, 242);                                 /* background color for inactive button */

    --bol-logoheight-xl: 150px;                         /* Höhe des Logos groß */
    --bol-logoheight-xs: 50px;                          /* Höhe des Logos klein */

    --bol-font-sans: Arial, Helvetica, sans-serif;
    --bol-font-serif: 'Times New Roman', Times, serif;
    
    --bol-fontsize:     1em;
    --bol-fontsize-h1: 30pt;         
    --bol-fontsize-h2: 24pt;      
    --bol-fontsize-h3: 20pt;      
    --bol-fontsize-h4: 16pt;      
    --bol-fontsize-h5: 12pt;      
    --bol-fontsize-field: 12pt;     
    --bol-fontsize-label: 10pt;      

    --bol-fieldDistanceTop: 5px;

    --bol-font-header: var(--bol-font-sans);
    --bol-font-field: var(--bol-font-sans);
    --bol-font-label: var(--bol-font-sans);
}


/* HTML Standard Tags *****************************************************/
a {
    color: var(--bol-color-accent);
    font-weight: bold;
}
body {
    border: none;
    padding: 0px;
    font-family: var(--bol-font-field);
    font-size: var(--bol-fontsize);
}
@media (min-width: 992px) {
    body {
        border-top: 1px solid silver;
        padding: 5px 0px 5px 0px;
        margin: 0px 0px 0px 0px;
    }
}
/*--- Ueberschriften & Textstile ---*/
h1 {
    color: var(--bol-color-accent);
    font-size: calc(var(--bol-fontsize-h1) * 0.5);
    font-weight: bold;
}
h2 {
    font-size: calc(var(--bol-fontsize-h1) * 0.6);
    font-weight: normal;
    font-family: var(--bol-font-serif);
}
h3 {
    font-size: var(--bol-fontsize-h3);
    font-weight: bolder;
}
h4 {
    font-size: var(--bol-fontsize-h4);
    font-weight: bolder;
}
h5 {
    font-size: var(--bol-fontsize-h5);
    font-weight: bolder;
}
h6 {
    font-size: var(--bol-fontsize-h6);
    font-weight: normal;
}
a {
    color: var(--bol-color-accent);
}
@media (min-width: 992px) {
    h1 {
        font-size: var(--bol-fontsize-h1);
    }
    h2 {
        font-size: var(--bol-fontsize-h2);
    }
}
/* END: HTML Standard Tags *****************************************************/



/********** settings fuer Formularseiten **********/
.bol-pagestyle, .pagestyle {
    border: 1px solid var(--bol-color-accent);
    background-color: white;
    padding: 0px 0px 0px 0px;
    margin: 0px 0px 0px 0px;
}

/********** Container settings **********/
.bol-container-hidden {
    display: none;
}
.bol-container-left, .bol-container-center, .bol-container-right {
    text-align: left;
}
@media (min-width: 700px) {
    .bol-container-left {
        text-align: left;
    }
    .bol-container-center {
        text-align: center;
    }
    .bol-container-right {
        text-align: right;
    }
    .bol-container-hidden {
        display: flex;
    }
}

/********** Dialog header and styles **********/
.bol-dialog-header {
    background-color: silver;
    color: white;
    padding: 5px;
}
.bol-dialog-error {
    border-color: var(--bol-color-fielderror-bg); 
    border-radius: 5px;
}
.bol-dialog-errorbutton {
    background-color: var(--bol-color-fielderror-bg); 
    color: var(--bol-color-fielderror-fg);
}
.bol-dialog-errorheader {
    background-color: var(--bol-color-fielderror-bg); 
    color: var(--bol-color-fielderror-fg);
    padding: 5px;
}
.bol-dialog-errorfooter {
    border-top: 1px solid silver;
    text-align: right;
    padding-right: 15px;
}

/********** Kopfzeile **********/
.bol-header {
    margin: 0px 0px 10px 0px;
}
@media (min-width: 999px) {
    .bol-header {
        margin: 10px 0px 20px 0px;
    }
}
/* Wappen */
.bol-emblem {
    height: var(--bol-logoheight-xs);
}
@media (min-width: 999px) {
    .bol-emblem {
        height: var(--bol-logoheight-xl);
    }
}
/********** Einstellungen für den bol-Balken **********/
.bol-bar-row {
    background-color: var(--bol-bar-bg);
    color: var(--bol-bar-fg);
    padding: 0px 0px 0px 0px;
    margin: 20px -10px -10px -15px;
    border: none;
}
.bol-bar-button {
    background-color: transparent; 
    border: none; 
    font-size: 1em; 
    color: inherit;
    margin-top: 3px;
}
.bol-bar-text {
    text-align: right;
    font-size: .5em;
}
/* settings for the button bar (zurück, zwischenspeichern, weiter */
.bol-buttonbar {
    margin: 10px 5px 10px 5px;
    padding: 10px 0px 10px 0px;
    border-top: 1px dashed silver;
}
/********** Fortschrittsbalken **********/
.bol-stepbar {
    background-color: transparent;
    margin: 5px 0px 5px 10px;
    padding: 0px 0px 0px 5px;
}
.bol-stepbar-info {
    background-color: transparent;
    margin: 5px 0px 0px 5px;
    padding: 0px 0px 0px 0px;
    font-size: 0.8em;
    font-style: italic;
}
.bol-stepbtn-active {
    background-color: transparent;
    background-position: right;
    border: none;
    color: var(--bol-color-accent-anti); 
    font-size: var(--bol-fontsize-stepbtn);
}
.bol-stepbtn-inactive {
    background-color: white;
    background-position: right;
    border-style: none;
    color: black;
    width: fit-content;
    font-size: var(--bol-fontsize-stepbtn);
}
.bol-stepbtn-active:hover {
    color: rgb(161, 194, 248);
}
.bol-stepbtn-inactive:hover {
    color: var(--bol-color-accent);
}
.progress-bar {
    background-color: var(--bol-color-accent);
}
.bol-progress-bar {
    margin: 10px 0px 0px 0px;
}
/********** SideBar settings **********/
.bol-sidebar {
    margin-left: 0px;
    margin-top: 2px;
    margin-bottom: 10px;
}
@media (min-width: 767px) {
    .bol-sidebar {
        padding-bottom: 20px; 
        background-color: var(--bol-color-bg);
        box-shadow: 2px 4px 8px var(--bol-color-accent);
        border: none;
    }
}
.bol-sidebar-link {
    color: var(--bol-color-accent);
}
.bol-sidebar-header {
    font-weight: bold;
    margin: 15px 0px 20px 0px;
}
.bol-sidebar-infotext {
    font-size: 0.8em;
    margin: 5px 0px 20px 0px;
}
.bol-sidebar-orgname {
    font-weight: bold;
    padding: 5px 0px 0px 0px;
}
.bol-sidebar-address {
    font-style: normal;
    margin: 5px 0px 0px 0px;
}
.bol-sidebar-contact {
    font-style: normal;
    padding: 5px 0px 0px 0px;
}

/** field marker **/
.bol-field-required, .bol-fd-required {
    vertical-align: top;
    font-size: var(--bol-fontsize-label);
    color: var(--bol-color-fielderror-bg);
}
.bol-field-info, .bol-fd-info {
    vertical-align: top;
    padding-top: 0px;
    font-size: var(--bol-fontsize-label);
    border: none;
    background-color: transparent;
    color: var(--bol-color-accent);
}
/* Klassen für das Löschen von Upload-Feldern */
.bol-text-field-clear {
    position: relative;
}
.bol-text-field-clear button {
    position: absolute;
    right: 1em;
    top: 8;
    bottom: 0;
    line-height: 40px;
    background: transparent;
    border: none;
}
/** field marker **/
.bol-field-required, .bol-field-required-star, .bol-fd-required {
    border: none;
    color: red;
}
.bol-field-required::after {
    /* content: ' *'; */
    /* font-size: 1em; */
    vertical-align: top;
    content: '\F586';
    font-family: 'bootstrap-icons';
    font-size: .6em ;
    padding: 0px 0px 0px 3px;
}
.bol-field-required-star {
    color: inherit;
    font-size: 1em;
}
.bol-field-required-star::after {
    content: ' *';
}
.bol-field-info, .bol-fd-info {
    position: absolute;
    border: none;
    background-color: transparent;
    color: var(--bol-color-accent);
    vertical-align: top;
    padding: 0px 0px 0px 3px;
    font-size: inherit;
}
.bol-field-info::after {
    content: '\F430';
    font-family: 'bootstrap-icons';
}
/* Klassen für das Löschen von Feldinhalten */
div.bol-fieldContentClear {
    position: relative;
}
button.bol-fieldContentClear {
    position: absolute;
    right: 1em;
    top: 0;
    bottom: 0;
    background: transparent;
    color: var(--ffa-darkorange);
}
button.bol-fieldContentClear::after {
    content: 'x';
    content: '\F331';
    font-family: 'bootstrap-icons';
    font-size: 0.8em;
}

button.bol-fileClear, button.bol-fileUpload, button.bol-fileView {
    background: var(--ffa-darkorange);
    font-size: 8pt;
    margin: 1px 1px 1px 1px;
    color: white;
}
button.bol-fileClear::after {
    content: '\F5DE';
    font-family: 'bootstrap-icons';
}

/**alternative Button **/
.btn-secondary {
    background-color: white; 
    color: var(--bol-color-button-bg);
    border-radius: 20px;
    border: 2px solid var(--bol-color-button-bg);
    font-weight: bold;
    font-size: var(--bol-fontsize);
}
.btn-secondary:hover {
    background-color: white;
    border: 2px solid var(--bol-color-button-secondary);
    color: var(--bol-color-button-secondary);
} 


/* ----- Ausgabe der Summary in Tabellen mittels div's ---------------------------------------------------------*/
.bol-table-header {
    background-color:var(--bol-color-accent);
    color: var(--bol-color-accent-anti);
    font-size: 100%;
    font-weight: normal;
    border-top: 1px solid var(--bol-color-accent)
}
.bol-table-cellleft1 {
    background-color: var(--bol-color-table-bg);
    color: var(--bol-color-field-fg);
    font-style: italic;
    font-size: 90%;
}
.bol-table-cellright1 {
    background-color: var(--bol-color-table-bg);
    color: var(--bol-color-field-fg);
    font-size: 90%;
}
.bol-table-cellleft2 {
    background-color:white;
    color: var(--bol-color-field-fg);
    font-style: italic;
    font-size: 90%;
}
.bol-table-cellright2 {
    background-color: white;
    color: var(--bol-color-field-fg);
    font-size: 90%;
}

/***** Fieldset *****************************************************************************/
/* wenn Funktionen im Fieldset Legend, dann damit Darstellung definieren */
.bol-fs-colright {
    text-align: right;
    margin: 0px 0px 0px 0px;
    font-size: inherit;
}
.bol-fs-button, .bol-button-side {
    margin: 0px 0px 0px 0px;
    padding: 0px 0px 0px 0px;
    width: auto;
    font-size: inherit;
    color: var(--bol-color-accent);
    background-color: transparent; 
    border: none; 
}

/*** bol Stile für fieldsets */
.bol-fs-style1, .bol-fs-s1 {
    margin: 5px 5px 0px 0px;
    padding: 0px 15px 0px 10px;
    border: none;
    background-color: white;
}
.bol-fs-style1legend, .bol-fs-s1legend {
    font-size: 1.2em;
    padding: 0px 5px 0px 10px;
    color: var(--bol-color-accent);
}
.bol-fs-style1legendrow, .bol-fs-s1legendrow {
    margin: 0px 0px 0px 0px;
    padding: 0px 0px 0px 0px;
    border-bottom: 1px solid grey;
}
.bol-fs-style1inner, .bol-fs-s1inner {
    background-color: inherit;
}
/* ------------------------------------------------------------------- */
.bol-fs-style2, .bol-fs-s2 {
    margin: 10px 3px 5px 3px;
    padding: 0px 0px 5px 0px;
    background-color: rgb(240, 240, 240);
    border: none;
}
.bol-fs-style2legend, .bol-fs-s2legend {
    padding: 0px 5px 0px 10px;
    color: black;
    font-size: 1.2em;
    font-weight: normal;
}
.bol-fs-style2legendrow, .bol-fs-s2legendrow {
    margin: 2px 0px 2px 0px;
    padding: 0px;
    background-color: rgb(240, 240, 240);
    border: none;
}
.bol-fs-style2inner, .bol-fs-s2inner {
    padding: 0px 3px 0px 3px;
    background-color: white;
}
/* ------------------------------------------------------------------- */
.bol-fs-style3, .bol-fs-s3 {
    margin: 10px 10px 5px 10px;
    padding: 0px 10px 5px 10px;
    background-color: white;
    border: 1px solid var(--bol-color-accent);
}
.bol-fs-style3legend, .bol-fs-s3legend {
    font-size: 1.2em;
    /* font-weight: bolder; */
    border: none;
}
.bol-fs-style3legendrow, .bol-fs-s3legendrow {
    border-bottom: none;
    margin: 0px 0px 0px 0px;
    padding: 0px 0px 0px 5px;
    background-color: inherit;
}
.bol-fs-style3inner, .bol-fs-s3inner {
    background-color: inherit;
}





/***** bol Klassen fuer Standard Objekte *****************************************************************************/
input[type="text"]:focus  {
    border: 1px solid var(--bol-color-fieldfocus);
    border-radius: none;
    /* box-shadow: 0px 0px 10px var(--bol-color-fieldfocus); */
}
input[type="checkbox"]:focus  {
    border: 1px solid var(--bol-color-fieldfocus);
    border-radius: 5px;
    /* box-shadow: 0px 0px 10px var(--bol-color-fieldfocus); */
}
input[type="checkbox"]:hover  {
    border: 1px;
    border-radius: 5px;
    /* box-shadow: 0 0 10px var(--bol-color-accent); */
}
/* input[type="checkbox"] ~ span:hover  {
    color: var(--bol-color-accent);
} */

input[type="radio"]:focus  {
    border:   1px var(--bol-color-fieldborder) solid;
    border-radius: 5px;
    box-shadow: 0px 0px 10px var(--bol-color-fieldfocus);
}
input[type="radio"]:hover  {
    border: 1px;
    border-radius: 5px;
    box-shadow: 0 0 10px var(--bol-color-fieldfocus);
}
input[type="radio"] ~ span:hover  {
    color: var(--bol-color-fieldfocus);
}

/*** CC Klassen von eforms ***********************************************************************************/
.cc-button {
    background-color: var(--bol-color-accent); 
    color: var(--bol-color-accent-anti);
    border: 1px solid var(--bol-color-accent-anti);
    font-weight: bold;
}
.cc-button:hover {
    color: var(--bol-color-accent); 
    background-color: var(--bol-color-accent-anti);
    border: 1px solid var(--bol-color-accent);
} 


/*--- WAIMEA settings, lot of changes --------------------------------------------------------------------------------------------------------*/
/* Classes to be added to elements with bad input */
.infielderror {
	background-color: var(--bol-color-fielderror-bg);
	color: var(--bol-color-fielderror-fg);
    font-size: calc(var(--bol-fontsize-label) * .8);
}
.input-with-error{
	border-color: var(--bol-color-fielderror-bg) !important;
    background-color: rgb(248, 224, 228);
}
.label-with-error{
	color: var(--bol-color-fielderror-bg) !important;
}
.infieldlabel {
	background: var(--bol-color-field-bg); 
	position: relative;
}
.infieldlabel label {
	display:  block;
	position: absolute;
	top:      2px;
	left:     5px;
	font-size: var(--bol-fontsize-label);
	color: var(--bol-color-fieldlabel-fg);
	font-weight: normal;
	letter-spacing: 0.03em;
}
.infieldlabel input {
	font-size: var(--bol-fontsize-field);
    margin: var(--bol-fieldDistanceTop) 0px 0px 0px;
	padding: calc(var(--bol-fontsize-field) * 1.5) 5px 5px 5px;
	height: auto;
	border: 1px solid var(--bol-color-fieldborder);
	border-radius: 3px;
    color: black;
}
.infieldlabel textarea {
	font-size: var(--bol-fontsize-field);
    margin: var(--bol-fieldDistanceTop) 0px 0px 0px;
	padding: calc(var(--bol-fontsize-field) * 1.5) 5px 5px 5px;
	height: auto;
	border: 1px solid var(--bol-color-fieldborder);
	border-radius: 3px;
    color: black;
}
.infieldlabel select {
	font-size: var(--bol-fontsize-field);
    margin: var(--bol-fieldDistanceTop) 0px 0px 0px;
	padding: calc(var(--bol-fontsize-field) * 1.5) 5px 5px 5px;
	height: calc(var(--bol-fontsize-field) * 3.3);
	border: 1px solid var(--bol-color-fieldborder);
	border-radius: 3px;
    color: black;
}


/* ----- Klassen für dynamische Dialoge in Formularen ----------------------------------------------------------*/
.bol-hdlg-content {
    margin: 0px 0px 0px 0px;
    padding: 2px 2px 2px 2px;
    background-color: rgb(240,240,240);  
}
.bol-hdlg-header {
    margin: 0px 0px 0px 0px;
    padding: 5px 0px 5px 10px;
    background-color: darkgrey; 
    color: black;  
    font-weight: bold;
    font-size: large;
}
.bol-hdlg-body {
    margin: 0px 0px 0px 0px;
    padding: 3px 15px 3px 15px;

}
.bol-hdlg-footer {
    border-top: 1px solid silver;
    margin: 0px 0px 0px 0px;
    padding: 5px 0px 5px 10px;
}
.bol-hdlg-error {
    display: none; 
    color: red; 
    padding-left: 30px;
}
/* ----- Klassen für dynamische Tabellen in Formularen ---------------------------------------------------------*/
.bol-table {
    width: 100%;
}
/* .bol-table-head-row {
    border: 2px solid var(--jv-greendark);
} */
.bol-table-head {
    background-color: silver;
    color: black;
    font-size: 90%;
}
.bol-table-row1 {
    background-color: rgb(240, 240, 240);
    border-left: 1px solid silver;
    color: black;
}
.bol-table-row2 {
    background-color: white;
    border-left: 1px solid silver;
    color: black;
}
.bol-btn-edit {
    border: none; 
    background: transparent;
}
.bol-btn-edit::after {
    /* content: 'e'; */
    content: '\F4CA'; /* F4C8, F4C7, F4CA */
    font-family: 'bootstrap-icons';
    color: var(--bol-color-accent);
}
.bol-btn-delete {
    border: none; 
    background: transparent;
}
.bol-btn-delete::after {
    /* content: 'x'; */
    content: '\F5DE';
    font-family: 'bootstrap-icons';
    color: var(--bol-color-accent);
}
.bol-btn-rowUp {
    border: none; 
    background: transparent;
}
.bol-btn-rowUp::after {
    /* content: 'ru'; */
    content: '\F145'; /* F148, F1C6, F145, F126, F146 */
    /* font-weight: bold; */
    font-family: 'bootstrap-icons';
    color: var(--bol-color-accent);
}
.bol-btn-rowDown {
    border: none; 
    background: transparent;
}
.bol-btn-rowDown::after {
    /* content: 'rd'; */
    content: '\F124'; /* F128, F1B9, F124, F126 */
    /* font-weight: bold; */
    font-family: 'bootstrap-icons';
    color: var(--bol-color-accent);
}